# Uses of Class
com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter

Packages that use DefaultPrettyPrinter.NopIndenter
Package
Description
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of DefaultPrettyPrinter.NopIndenter in com.fasterxml.jackson.core.util

Subclasses of DefaultPrettyPrinter.NopIndenter in com.fasterxml.jackson.core.util
Modifier and Type
Class
Description
`class`
`DefaultIndenter`
Default linefeed-based indenter, used by `DefaultPrettyPrinter` (unless overridden).
`static class`
`DefaultPrettyPrinter.FixedSpaceIndenter`
This is a very simple indenter that only adds a single space for indentation.
Fields in com.fasterxml.jackson.core.util declared as DefaultPrettyPrinter.NopIndenter
Modifier and Type
Field
Description
`static final DefaultPrettyPrinter.NopIndenter`
DefaultPrettyPrinter.NopIndenter.`instance`